#Adam Caldwell 20130515

library(ggplot2)

RATCdata <- read.csv("/data/supplemental_data_code/DatasetS7_RATC.csv")

pc <- prcomp(RATCdata[4:34])

pc2 <- data.frame(pc$x)

pc2$Metagenome <- RATCdata$Metagenome

pc3 <- merge(RATCdata, pc2, by="Metagenome")

ggplot(pc3, aes(PC1, PC2, colour=Type, label=Description)) + geom_point(size=3) + geom_text(hjust=0, vjust=0)