#Adam Caldwell 20130515

library(ggplot2)

subsystems_data <- read.csv("/data/supplemental_data_code/DatasetS1_subsystems.tsv", sep="\t")

subsystems_data$reorderL1 <- reorder(subsystems_data$level.1, subsystems_data$percent)

ggplot(data=subsystems_data, aes(x=reorderL1, y=percent)) + geom_bar(stat="identity", fill="#06a4ff") + coord_flip() + ylab("Percent") + xlab("Subsystems Level 1") + theme(legend.position="none", axis.text.x=element_text(colour="black"), axis.text.y=element_text(colour="black", face="bold"), axis.ticks.y = element_blank())