#Input file generated with calc_phylum_bp.py
#Adam Caldwell 20130515

library(ggplot2)
library(grid)

phy_data <- read.csv("/data/supplemental_data_code/DatasetS6_phylogeny_comparison_bp.tsv", sep="\t")

ggplot(phy_data,aes(x=Program,y=bp, fill=Phylum, order = -as.numeric(Phylum))) + geom_bar(position="fill", stat="identity") + geom_bar(position="fill", colour="#262626", show_guide=FALSE, stat="identity") + ylab("bp Fraction") + xlab("Program") + theme(panel.border=element_blank(), plot.margin = unit(c(0.1,0.1,0.1,0.1), "in"), axis.title.x=element_text(size="16"), axis.title.y=element_text(size="16"), axis.text.x=element_text(colour="black", size="16"), legend.title=element_text(size="16"))